%define	name	pnet
%define	version	0.6.12
%define	release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A portable interpreter for .NET plateform binaries
Group:		Development/Other
License:	GPL
Source0:	http://www.southern-storm.com.au/download/%name-%version.tar.bz2
URL:		http://www.southern-storm.com.au
BuildRequires:	treecc >= 0.2.2
BuildRequires:	flex byacc bison
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The primary goal of this project is to build a stable and portable 
interpreter for .NET platform binaries, together with a suite of open 
source tools to build .NET applications. The initial target platform 
is Linux, with other platforms to follow in the future.

%package	devel
Summary:	Headers for developing programs that will use %name
Group:		Development/C
Provides:	%name-devel = %version-%release
Requires:	pnet = %{version}

%define _provides_exceptions libgc.so.1

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%prep
%setup -q

%build
export CFLAGS=$(echo $RPM_OPT_FLAGS|sed -e 's!-O3!-O2!g')
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}/%_docdir/%name-%version
mv %{buildroot}%_datadir/gc %{buildroot}%_docdir/%name-%version

# use alternatives for ilasm, al and resgen, don't conflict with mono.
mv %{buildroot}%{_mandir}/man1/ilasm.1 %{buildroot}%{_mandir}/man1/ilasm.pnet.1
mv %{buildroot}%{_bindir}/ilasm %{buildroot}%{_bindir}/ilasm.pnet
mv %{buildroot}%{_bindir}/al %{buildroot}%{_bindir}/al.pnet
mv %{buildroot}%{_bindir}/resgen %{buildroot}%{_bindir}/resgen.pnet

%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/pnet/fficonfig.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/pnet/il_config.h

%post
%_install_info %{name}tools.info

# run only on fresh install (or with triggerpostun).
if [ $1 = 1 ]; then
update-alternatives --install %{_bindir}/ilasm ilasm %{_bindir}/ilasm.pnet 20
update-alternatives --install %{_mandir}/man1/ilasm.1.bz2 man-ilasm %{_mandir}/man1/ilasm.pnet.1.bz2 20
update-alternatives --install %{_bindir}/al al %{_bindir}/al.pnet 20
update-alternatives --install %{_bindir}/resgen resgen %{_bindir}/resgen.pnet 20
fi

%preun
%_remove_install_info %{name}tools.info

%postun
if [ $1 = 0 ]; then
update-alternatives --remove ilasm  %{_bindir}/ilasm.pnet
update-alternatives --remove man-ilasm  %{_mandir}/man1/ilasm.pnet.1.bz2
update-alternatives --remove al  %{_bindir}/al.pnet
update-alternatives --remove resgen  %{_bindir}/resgen.pnet
fi

# fix upgrade from mdk =< 9.2 since ilasm and al are now symlinked alternatives.
%triggerpostun -- %name =< 0.6.2-1mdk
if ! [ -L %{_bindir}/ilasm ]; then
    update-alternatives --install %{_bindir}/ilasm ilasm %{_bindir}/ilasm.pnet 20
fi
if ! [ -L %{_mandir}/man1/ilasm.1.bz2 ]; then
    update-alternatives --install %{_mandir}/man1/ilasm.1.bz2 man-ilasm %{_mandir}/man1/ilasm.pnet.1.bz2 20
fi
if ! [ -L %{_bindir}/al ]; then
    update-alternatives --install %{_bindir}/al al %{_bindir}/al.pnet 20
fi

# fix upgrade from mdk =< 10.0 since resgen is now a symlinked alternative.
%triggerpostun -- %name =< 0.6.2
if ! [ -L %{_bindir}/resgen ]; then
    update-alternatives --install %{_bindir}/resgen resgen %{_bindir}/resgen.pnet 20
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/*
%dir %_libdir/cscc
%_libdir/cscc/*
%_mandir/man1/*
%doc doc/*
%_infodir/*

%files devel
%defattr(-,root,root)
%dir %_includedir/pnet
%_includedir/pnet/*
%multiarch %{multiarch_includedir}/pnet/*.h
%_libdir/*.a
%dir %_libdir/%name
%_libdir/%name/*
%doc doc/* README COPYING 

%changelog
* Fri Apr 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.12-1mdk
- 0.6.12

* Tue Nov 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.10-1mdk
- 0.6.10

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.8-1mdk
- 0.6.8

* Mon Aug 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.6.6-2mdk
- Don't provide or require internally-used lib libgc.so.1

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6

* Sat May 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.4-2mdk
- buildrequires

* Fri Apr 30 2004 Marcel Pol <mpol@mandrake.org> 0.6.4-1mdk
- 0.6.4
- use alternatives for resgen

* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.6.2-3mdk
- buildrequires
- cosmetics
- don't list files twice

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-2mdk
- use alternatives for al

* Tue Jan 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Dec 22 2003 Marcel Pol <mpol@mandrake.org> 0.6.0-2mdk
- use alternatives for ilasm

* Fri Oct 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Mon Jul 21 2003 Marcel Pol <mpol@gmx.net> 0.5.8-1mdk
- 0.5.8
- don't let devel package obsolete main package
- own dir

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-2mdk
- buildrequires

* Wed Feb 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Wed Jan 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Sun Nov 24 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8
- install info-files

* Tue Nov 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-2mdk
- rebuild for new readline

* Thu Jun 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.0-1mdk
- new release

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release

* Thu May 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.6-1mdk
- new release

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-1mdk
- spec cleaning
- use %%configure
- use new treecc
- reduce optimization level to prevent gcc bug ("Unable to find a register to
  spill in class") showed by egcs/gcc-2.96/gcc-3.0.4/gcc-3.1

* Sat Apr 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4-1mdk
- new release

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Mon Jan 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- 0.2.8

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.1.4-2mdk
- specs cleanups
- add devel package

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Wed Jul 11 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.6-1mdk
- release

* Wed May 30 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-3mdk
- fix url (second attempt) 

* Wed May 30 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-2mdk
- fix url.

* Tue May 29 2001  Daouda Lo <daouda@mandrakesoft.com> 0.0.5-1mdk
- first mdk package.


